bit torrent prob in FC5

Discussion in 'Open Source' started by the.kaushik, Aug 18, 2006.

Thread Status:
Not open for further replies.
  1. the.kaushik

    the.kaushik œ∑´®†¥¨ˆøπåß∂ƒ©˙∆˚¬Ω≈ ç√∫˜

    Joined:
    Aug 11, 2006
    Messages:
    1,046
    Likes Received:
    2
    Trophy Points:
    0
    Location:
    Bangalore
    today i installed the FC5 and wanted to install any torrent so i googled and found bit torrent has a version for linux..

    i downloaded the file named : BitTorrent-4.20.4-1-Python2.3.noarch.rpm

    when i double click it using root account error commes:

    error:
    Missing Dependency: /usr/bin/python2.3 is needed by package BitTorrent
    Missing Dependency: python(abi) = 2.3 is needed by package BitTorrent
    Missing Dependency: python-twisted >= 2.0 is needed by package BitTorrent
    Missing Dependency: python-zopeinterface is needed by package BitTorrent

    what to do now?

    $ python -V gives -> Python 2.4.2
     
  2. mehulved

    mehulved 18 Till I Die............

    Joined:
    Jul 15, 2004
    Messages:
    5,790
    Likes Received:
    44
    Trophy Points:
    0
    Location:
    India, Mumbai, Marine Lines
    Best way will be to install yum (and yumex if you need GUI) and install whatever you like through it. Yum will solve your dependancy problems by itself.
    Also, rather than official BitTorrent client that you are installing, install BitTornado, it's way better.
     
  3. OP
    OP
    the.kaushik

    the.kaushik œ∑´®†¥¨ˆøπåß∂ƒ©˙∆˚¬Ω≈ ç√∫˜

    Joined:
    Aug 11, 2006
    Messages:
    1,046
    Likes Received:
    2
    Trophy Points:
    0
    Location:
    Bangalore
    ok bro i will try.. and tell me is there any good dvd player.. i tried yam to update my totem player so that it can play dvd but the size is 80 mb.. anything smaller is possible?
     
  4. mehulved

    mehulved 18 Till I Die............

    Joined:
    Jul 15, 2004
    Messages:
    5,790
    Likes Received:
    44
    Trophy Points:
    0
    Location:
    India, Mumbai, Marine Lines
    Well have a look at MPlayer. I guess download should be smaller in size, also MPlayer supports a large number of formats. Another noteworthy media player is VLC, it plays amazing number of formats but has lots of dependancies, so it's size may be a bit large too, but do check it up.
     
  5. QwertyManiac

    QwertyManiac Commander in Chief

    Joined:
    Jul 17, 2005
    Messages:
    6,656
    Likes Received:
    10
    Trophy Points:
    0
    Usually Python libraries get installed by default itself, wonder why it didnt get installed for you. Did you do a selective install or chose to install all packs ?
     
  6. mehulved

    mehulved 18 Till I Die............

    Joined:
    Jul 15, 2004
    Messages:
    5,790
    Likes Received:
    44
    Trophy Points:
    0
    Location:
    India, Mumbai, Marine Lines
    He didn't install it via yum, he did a manual install. So, there was conflict with python. He has 2.4, bittorrent requires 2.3 as seen from output.
     
  7. QwertyManiac

    QwertyManiac Commander in Chief

    Joined:
    Jul 17, 2005
    Messages:
    6,656
    Likes Received:
    10
    Trophy Points:
    0
    Oh, fine, I thought Python wasnt installed in his system at all...
     
  8. OP
    OP
    the.kaushik

    the.kaushik œ∑´®†¥¨ˆøπåß∂ƒ©˙∆˚¬Ω≈ ç√∫˜

    Joined:
    Aug 11, 2006
    Messages:
    1,046
    Likes Received:
    2
    Trophy Points:
    0
    Location:
    Bangalore
    ya now the bit torrent is installed and running fine.. but i found that its having too less options.. any other torrent xcept Azurise.. installing Mplayer now.. let u kno
     
  9. OP
    OP
    the.kaushik

    the.kaushik œ∑´®†¥¨ˆøπåß∂ƒ©˙∆˚¬Ω≈ ç√∫˜

    Joined:
    Aug 11, 2006
    Messages:
    1,046
    Likes Received:
    2
    Trophy Points:
    0
    Location:
    Bangalore
    ya now the bit torrent is installed and running fine.. but i found that its having too less options.. any other torrent xcept Azurise.. installing Mplayer now.. let u kno
     
  10. mehulved

    mehulved 18 Till I Die............

    Joined:
    Jul 15, 2004
    Messages:
    5,790
    Likes Received:
    44
    Trophy Points:
    0
    Location:
    India, Mumbai, Marine Lines
    I did tell you before try BitTornado, official client doesn't have much functionality. BitTornado will be the best if you want good speeds and low resource usage. It is also recommended by most torrent sites.
     
  11. OP
    OP
    the.kaushik

    the.kaushik œ∑´®†¥¨ˆøπåß∂ƒ©˙∆˚¬Ω≈ ç√∫˜

    Joined:
    Aug 11, 2006
    Messages:
    1,046
    Likes Received:
    2
    Trophy Points:
    0
    Location:
    Bangalore
    ya ya u told.. sorry i misslooked.. thnx
     
  12. QwertyManiac

    QwertyManiac Commander in Chief

    Joined:
    Jul 17, 2005
    Messages:
    6,656
    Likes Received:
    10
    Trophy Points:
    0
    Hey tech_your_future, I didnt know BitTornado existed in Linux too, thanks for that. I apt-get it for bittornado and bittornado-gui but how do I start it ? The 'bittorrent' command isnt working in bash and neither can I see bittornado in the menus.

    Edit:
    Ok this is weirder, I see it selected in Alacarte Menu Editor but do not see it in the Ubuntu System Panel (The new one, only System). But I can see it in the Ubuntu Menu Bar (Those Application Places System) one. Maybe its a bug with the USP, any ideas on how to get it there ?
     
  13. mehulved

    mehulved 18 Till I Die............

    Joined:
    Jul 15, 2004
    Messages:
    5,790
    Likes Received:
    44
    Trophy Points:
    0
    Location:
    India, Mumbai, Marine Lines
    @harsh try to locate bittornado using either beagle or locate/slocate. You may have to do updatedb for locate/slocate.
    Dunno about Alacarte Menu Editor.
     
Thread Status:
Not open for further replies.

Share This Page